import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { dealVO } from '../../frame/VOBase';
export class FVO_region {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  id: number = undefined;
  @ApiProperty({ description: '编码' })
  'code': string = undefined;
  @ApiProperty({ description: '名称' })
  'name': string = undefined;
  @ApiProperty({ description: '上级编码' })
  'parent_code': string = undefined;
  @ApiProperty({ description: '等级' })
  'level': string = undefined;
  @ApiProperty({ description: '是否使用' })
  'is_use': string = undefined;
}

export class QDTO_region {
  @ApiProperty({ description: '编码' })
  'code': string = undefined;
  @ApiProperty({ description: '名称' })
  'name': string = undefined;
  @ApiProperty({ description: '上级编码' })
  'parent_code': string = undefined;
  @ApiProperty({ description: '等级' })
  'level': string = undefined;
  @ApiProperty({ description: '是否使用' })
  'is_use': string = undefined;
}

export class QVO_region extends FVO_region {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_region {
  @ApiProperty({ description: '编码' })
  @Rule(RuleType['string']().empty(''))
  'code': string = undefined;
  @ApiProperty({ description: '名称' })
  @Rule(RuleType['string']().empty(''))
  'name': string = undefined;
  @ApiProperty({ description: '上级编码' })
  @Rule(RuleType['string']().empty(''))
  'parent_code': string = undefined;
  @ApiProperty({ description: '等级' })
  @Rule(RuleType['string']().empty(''))
  'level': string = undefined;
  @ApiProperty({ description: '是否使用' })
  @Rule(RuleType['string']().empty(''))
  'is_use': string = undefined;
}

export class CVO_region extends FVO_region {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_region extends CDTO_region {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['number']().empty(''))
  id: number = undefined;
}

export class UVAO_region extends FVO_region {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
